/*******************************************************************************
 * Copyright 2015 - 2019 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.santander.web;

import java.util.Date;

import org.openqa.selenium.WebDriver;

import de.frankmuenster.mahoe.messages.AbstractBankMessages;
import de.frankmuenster.mahoe.messages.MahoeMessage;
import de.frankmuenster.mahoe.utils.I18N;
import de.frankmuenster.mahoe.web.WebSiteException;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Bank-Nachrichten der BOS
 *
 * @author Frank Mnster
 */
public class SantanderBankMessages extends AbstractBankMessages<WebDriver> {

    /**
     * I18n translation key for "_notYetImplemented"
     */
    private static final String I18N_NOT_YET_IMPLEMENTED = "_notYetImplemented"; //$NON-NLS-1$

    /**
     * @param webClient
     */
    public SantanderBankMessages(final WebDriver webClient) {
        super(webClient);
        // TODO Auto-generated constructor stub
        Logger.info(I18N.tr(SantanderBankMessages.I18N_NOT_YET_IMPLEMENTED));
    }

    /**
     * @see de.frankmuenster.mahoe.messages.InterfaceBankMessages#markAsRead(de.frankmuenster.mahoe.messages.MahoeMessage)
     */
    @Override
    public void markAsRead(final MahoeMessage message) throws ApplicationException {

        // TODO Auto-generated constructor stub
        Logger.info(I18N.tr(SantanderBankMessages.I18N_NOT_YET_IMPLEMENTED));
    }

    /**
     * @see de.frankmuenster.mahoe.messages.AbstractBankMessages#readMessages(java.util.Date)
     */
    @Override
    public void readMessages(final Date startDate) throws WebSiteException, ApplicationException {

        // TODO Auto-generated method stub
        Logger.info(I18N.tr(SantanderBankMessages.I18N_NOT_YET_IMPLEMENTED));
    }

}
