/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.targobank;

import de.frankmuenster.mahoe.utils.BankToAdd;

/**
 * TargoBank Info-Klasse
 *
 * @author Frank Mnster
 */
@BankToAdd(blz = TargoBank.BLZ, name = TargoBank.NAME, walletPrefix = TargoBank.WALLET_PREFIX)
public final class TargoBank {

    /**
     * TargoBank Konto Version
     */
    public static final String KTO_VER_KREDIT = "1"; //$NON-NLS-1$

    /**
     * TargoBank Name
     */
    public static final String NAME = "TargoBank"; //$NON-NLS-1$

    /**
     * TargoBank BLZ
     */
    public static final String BLZ = "30020900"; //$NON-NLS-1$

    /**
     * Wallet prefix
     */
    public static final String WALLET_PREFIX = "targo"; //$NON-NLS-1$

    /**
     * TargoBank Kreditkarten KTO
     */
    public static final String KK_KTO = "5055000090"; //$NON-NLS-1$

    /**
     * TargoBank Kreditkarten IBAN
     */
    public static final String KK_IBAN = "DE15300209005055000090"; //$NON-NLS-1$

    /**
     * TargoBank Main URL
     */
    public static final String URL_MAIN = "https://www.targobank.de/"; //$NON-NLS-1$

    /**
     * TargoBank Login URL
     */
    public static final String URL_LOGIN = TargoBank.URL_MAIN + "de/identification/login.html"; //$NON-NLS-1$

    /**
     * TargoBank Kontobersicht URL
     */
    public static final String URL_UEBERSICHT = TargoBank.URL_MAIN + "de/banque/situation_financiere.cgi"; //$NON-NLS-1$

    /**
     * TargoBank Login Abrechnungen URL
     */
    public static final String URL_ABBRECHNUNGEN = TargoBank.URL_MAIN + "de/banque/MMU2_LstDoc.aspx?typ=doc&DOS=050902"; //$NON-NLS-1$

    /**
     * TargoBank Login Abrechnungen URL
     */
    public static final String URL_MESSAGES = TargoBank.URL_MAIN + "/de/banque/messagerie_banque_a_distance.cgi"; //$NON-NLS-1$

    /**
     * Abmelde URL
     */
    public static final String URL_LOGOFF = TargoBank.URL_MAIN + "/de/identification/deconnexion/deconnexion.cgi"; //$NON-NLS-1$

    /**
     * Name for cookie backup file
     */
    public static final String COOKIE_FILE = "targo_cookies.dat"; //$NON-NLS-1$

    /**
     * Standardkonstruktor
     */
    private TargoBank() {
        // Absichlich leer
    }

}
